Subject: Re: [sidr] draft-ietf-sidr-roa-format ASN1-format

From: Stephen Kent <[email-masked]>
Date: Fri, 1 Apr 2011 03:27:40 -0400

At 11:47 AM -0400 3/31/11, Spies, Sebastian Martin wrote:
>The AFI of ROAIPAddress (defined in 3. The ROA eContent of 
>draft-ietf-sidr-roa-format) is of type OCTET STRING (SIZE (2..3)). 
>For which reason is it necessary to have a variable AFI size? We are 
>having just two values 0001 and 0002 and it is unlikely to see new 
>address families at a count that exceeds 2^16. So why should there 
>be a third byte?
>
>----
>Sebastian Spies

RFC 2858 defines AFI as 2 bytes, and the optional SAFI as one more byte.
That's why RFC 3779 defines a 2-3 byte data element for this pair. The ROA
syntax inherits that structure.

Steve